import 'package:flutter/material.dart';

import '../quiz_widgets/theme.dart';

/// Responsible for showing the UI-elements of the start page of the quiz.
class StartPage extends StatelessWidget {
  const StartPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      extendBodyBehindAppBar: true,
      appBar: CommonAppbar('Start'),
      body: Container(
        constraints: const BoxConstraints.expand(),
        decoration: const BoxDecoration(
          image: DecorationImage(
              image: AssetImage("assets/images/app_background.png"),
              fit: BoxFit.cover),
        ),
        child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              RichText(
                text: const TextSpan(
                  children: <TextSpan>[
                    TextSpan(
                      text: "Velg bruker",
                      style: TextStyle(
                          fontSize: 28,
                          fontWeight: FontWeight.bold,
                          color: Colors.black),
                    ),
                  ],
                ),
              ),
              const SizedBox(height: 50),
              const Image(
                width: 294,
                height: 225,
                image: AssetImage("assets/images/user_choice.png"),
              ),
              const SizedBox(height: 50),
              SizedBox(
                width: 256,
                height: 67,
                child: ElevatedButton(
                    child: const Text("Quizdeltager"),
                    style: ElevatedButton.styleFrom(
                        textStyle: const TextStyle(fontSize: 28),
                        shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(35)),
                        primary: const Color(0xFF283593),
                        onPrimary: Colors.white),
                    onPressed: () {
                      Navigator.pushNamed(context, '/startquiz');
                    }),
              ),
              const SizedBox(height: 20),
              SizedBox(
                width: 256,
                height: 67,
                child: ElevatedButton(
                    child: const Text("Admin"),
                    style: ElevatedButton.styleFrom(
                        textStyle: const TextStyle(fontSize: 28),
                        shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(35)),
                        primary: const Color(0xFF283593),
                        onPrimary: Colors.white),
                    onPressed: () {
                      Navigator.pushNamed(context, '/admin');
                    }),
              ),
            ]),
      ),
    );
  }
}
